<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns="http://www.w3.org/1999/xhtml">

    <head th:replace="fragments/header :: header">
        <title th:text="#{title}">title</title>
    </head>
    <body>

        <!--Start Container-->
        <div id="main" class="container-fluid">
            <div class="row">

                <th:block th:include="fragments/sidebar :: sidebar('naturalPerson')"></th:block>

                <!--Start Content-->
                <div id="content" class="col-xs-12 col-sm-10">

                    <th:block th:include="fragments/about :: about"></th:block>

                    <!-- Preloader -->
                    <th:block th:include="fragments/preloader :: preloader"></th:block>

                    <!--Start Breadcrumb-->
                    <div class="row">
                        <div id="breadcrumb" class="col-xs-12">

                            <a href="#" class="show-sidebar">
                                <i class="fa fa-bars"></i>
                            </a>

                            <th:block th:insert="breadcrumb :: breadcrumb(breadcrumb)">
                                <ol class="breadcrumb pull-left">
                                    <li><a th:text="#{index}" th:href="@{/index}" href="index.html">index</a></li>
                                    <li th:text="#{knowYourCustomer}">knowYourCustomer</li>
                                    <li><a th:text="#{naturalPerson}" th:href="@{/kyc/naturalPerson}"
                                           href="kyc/naturalPerson.html">naturalPerson</a></li>
                                </ol>
                            </th:block>

                            <!--
                            <ol class="breadcrumb pull-left">
                                <li><a th:href="@{/}" href="index.html">Index</a></li>
                            </ol>-->
                            <div id="social" class="pull-right">
                                <a href="#"><i class="fa fa-google-plus"></i></a>
                                <a href="#"><i class="fa fa-facebook"></i></a>
                                <a href="#"><i class="fa fa-twitter"></i></a>
                                <a href="#"><i class="fa fa-linkedin"></i></a>
                                <a href="#"><i class="fa fa-youtube"></i></a>
                            </div>
                        </div>
                    </div>
                    <!--End Breadcrumb-->


                    <!--Start Dashboard 2-->
                    <div class="row">
                        <div class="col-xs-12 col-sm-12">
                            <div class="box">

                                <div class="box-header">
                                    <div class="box-name">
                                        <i class="fa fa-table"></i>
                                        <span th:text="#{form.title}">form.title</span>
                                    </div>
                                    <div class="box-icons">
                                        <a class="expand-link">
                                            <i class="fa fa-expand"></i>
                                        </a>
                                    </div>
                                    <div class="no-move"></div>
                                </div>
                                <div class="box-content">

                                    <h4 th:text="#{form.table.generalInformation}" class="page-header">
                                        form.table.generalInformation</h4>

                                    <form class="form-horizontal" th:object="${naturalPerson}" th:action="@{/kyc/naturalPerson}"
                                          method="post">

                                        <input type="hidden" th:field="*{date}"/>
                                        <input type="hidden" th:field="*{documentType}"/>

                                        <div class="col-sm-offset-10 col-sm-2">
                                            <p class="pull-right" th:text="${#dates.format(#dates.createNow(), 'dd-MM-yyyy')}">
                                                date</p>
                                        </div><!-- /.col-sm-2 -->

                                        <div class="col-sm-12">

                                            <div class="col-sm-4">
                                                <div class="form-group"
                                                     th:classappend="${#fields.hasErrors('identificationType')}? 'has-error'">
                                                    <div class="col-sm-12">
                                                        <label for="identificationType" th:text="#{label.identificationType}">label.identificationType</label>
                                                        <select id="identificationType" class="form-control"
                                                                th:field="*{identificationType}">
                                                            <option value="default"
                                                                    th:text="#{label.default}">label.default
                                                            </option>
                                                            <option th:each="type : ${identificationTypeList}"
                                                                    th:value="${type}"
                                                                    th:text="#{${type}}">identificationType
                                                            </option>
                                                        </select>
                                                        <span th:if="${#fields.hasErrors('identificationType')}"
                                                              class="label label-danger" th:errors="*{identificationType}">identificationType error</span>
                                                    </div>
                                                </div><!-- /.form-group -->
                                            </div><!-- /.col-sm-4 -->

                                            <div class="col-sm-4">
                                                <div class="col-sm-12">
                                                    <div class="form-group"
                                                         th:classappend="${#fields.hasErrors('identificationNumber')}? 'has-error'">
                                                        <label for="identificationNumber"
                                                               th:text="#{label.identificationNumber}">label.identificationNumber</label>
                                                        <input id="identificationNumber" type="text" class="form-control"
                                                               th:field="*{identificationNumber}"/>
                                                        <span th:if="${#fields.hasErrors('identificationNumber')}"
                                                              class="label label-danger" th:errors="*{identificationNumber}">identificationNumber error</span>
                                                    </div>
                                                </div><!-- /.form-group -->
                                            </div><!-- /.col-sm-4 -->
                                        </div><!-- /.col-sm-12 -->

                                        <div class="col-sm-12">

                                            <div class="col-sm-4">
                                                <div class="form-group"
                                                     th:classappend="${#fields.hasErrors('name')}? 'has-error'">
                                                    <div class="col-sm-12">
                                                        <label for="name" th:text="#{label.name}">label.name</label>
                                                        <input id="name" type="text" class="form-control" th:field="*{name}"/>
                                                        <span th:if="${#fields.hasErrors('name')}" class="label label-danger"
                                                              th:errors="*{name}">name error</span>
                                                    </div>
                                                </div><!-- /.form-group -->
                                            </div><!-- /.col-sm-4 -->

                                            <div class="col-sm-4">
                                                <div class="form-group"
                                                     th:classappend="${#fields.hasErrors('lastName')}? 'has-error'">
                                                    <div class="col-sm-12">
                                                        <label for="lastName" th:text="#{label.lastName}">label.lastName</label>
                                                        <input id="lastName" type="text" class="form-control"
                                                               th:field="*{lastName}"/>
                                                        <span th:if="${#fields.hasErrors('lastName')}"
                                                              class="label label-danger"
                                                              th:errors="*{lastName}">lastName error</span>
                                                    </div>
                                                </div><!-- /.form-group -->
                                            </div><!-- /.col-sm-4 -->

                                            <div class="col-sm-4">
                                                <div class="form-group"
                                                     th:classappend="${#fields.hasErrors('secondLastName')}? 'has-error'">
                                                    <div class="col-sm-12">
                                                        <label for="secondLastName" th:text="#{label.secondLastName}">label.secondLastName</label>
                                                        <input id="secondLastName" type="text" class="form-control"
                                                               th:field="*{secondLastName}"/>
                                                        <span th:if="${#fields.hasErrors('secondLastName')}"
                                                              class="label label-danger" th:errors="*{lastName}">secondLastName error</span>
                                                    </div>
                                                </div><!-- /.form-group -->
                                            </div><!-- /.col-sm-4 -->

                                        </div><!-- /.col-sm-12 -->


                                        <div class="col-sm-12">

                                            <div class="col-sm-4">
                                                <div class="form-group"
                                                     th:classappend="${#fields.hasErrors('gender')}? 'has-error'">
                                                    <div class="col-sm-12">
                                                        <label for="genderType"
                                                               th:text="#{label.genderType}">label.genderType</label>
                                                        <select id="genderType" class="form-control" th:field="*{__gender__}">
                                                            <option value="default"
                                                                    th:text="#{label.default}">label.default
                                                            </option>
                                                            <option th:each="type : ${genderTypeList}"
                                                                    th:value="${type}"
                                                                    th:text="#{${type}}">gender
                                                            </option>
                                                        </select>
                                                        <span th:if="${#fields.hasErrors('gender')}" class="label label-danger"
                                                              th:errors="*{gender}">gender error</span>
                                                    </div>
                                                </div><!-- /.form-group -->
                                            </div><!-- /.col-sm-4 -->


                                            <div class="col-sm-4">
                                                <div class="form-group"
                                                     th:classappend="${#fields.hasErrors('maritalStatus')}? 'has-error'">
                                                    <div class="col-sm-12">
                                                        <label for="maritalStatus" th:text="#{label.maritalStatus}">label.maritalStatus</label>
                                                        <select id="maritalStatus" class="form-control"
                                                                th:field="*{maritalStatus}">
                                                            <option value="default"
                                                                    th:text="#{label.default}">label.default
                                                            </option> 
                                                            <option th:each="type : ${maritalStatusList}"
                                                                    th:value="${type}"
                                                                    th:text="#{${type}}">maritalStatus
                                                            </option>
                                                        </select>
                                                        <span th:if="${#fields.hasErrors('maritalStatus')}"
                                                              class="label label-danger" th:errors="*{maritalStatus}">maritalStatus error</span>
                                                    </div>
                                                </div><!-- /.form-group -->
                                            </div><!-- /.col-sm-4 -->

                                            <div class="col-sm-4">
                                                <div class="form-group"
                                                     th:classappend="${#fields.hasErrors('nationality')}? 'has-error'">
                                                    <div class="col-sm-12">
                                                        <label for="nationality" th:text="#{label.nationality}">label.nationality</label>
                                                        <select id="nationality" class="form-control"
                                                                th:field="*{nationality.iso}">
                                                            <option value=""
                                                                    th:text="#{label.default}">label.default
                                                            </option>
                                                            <option th:each="type : ${nationalityList}"
                                                                    th:value="${type.iso}"
                                                                    th:text="#{${type.iso}}">nationality
                                                            </option>
                                                        </select>
                                                        <span th:if="${#fields.hasErrors('nationality')}"
                                                              class="label label-danger" th:errors="*{nationality}">nationality error</span>
                                                    </div>
                                                </div><!-- /.form-group -->
                                            </div><!-- /.col-sm-4 -->

                                        </div><!-- /.col-sm-12 -->


                                        <div class="col-sm-12">

                                            <div class="col-sm-4">
                                                <div class="col-sm-12">
                                                    <div class="form-group"
                                                         th:classappend="${#fields.hasErrors('dateOfBirth')}? 'has-error'">
                                                        <label for="dateOfBirth" th:text="#{label.dateOfBirth}">label.dateOfBirth</label>
                                                        <input id="dateOfBirth" type="date" class="form-control"
                                                               th:field="*{dateOfBirth}" th:placeholder="dd-MM-yyyy"/>
                                                        <span th:if="${#fields.hasErrors('dateOfBirth')}"
                                                              class="label label-danger" th:errors="*{dateOfBirth}">dateOfBirth error</span>
                                                    </div>
                                                </div><!-- /.form-group -->
                                            </div><!-- /.col-sm-4 -->

                                            <div class="col-sm-8">
                                                <div class="col-sm-12">
                                                    <div class="form-group"
                                                         th:classappend="${#fields.hasErrors('birthPlace')}? 'has-error'">
                                                        <label for="birthPlace" th:text="#{label.birthPlace}">label.birthPlace</label>
                                                        <input id="birthPlace" type="text" class="form-control"
                                                               th:field="*{birthPlace}"/>
                                                        <span th:if="${#fields.hasErrors('birthPlace')}"
                                                              class="label label-danger" th:errors="*{birthPlace}">birthPlace error</span>
                                                    </div>
                                                </div><!-- /.form-group -->
                                            </div><!-- /.col-sm-4 -->

                                        </div><!-- /.col-sm-12 -->

                                        <div class="col-sm-12">

                                            <div class="col-sm-4">
                                                <div class="col-sm-12">
                                                    <div class="form-group"
                                                         th:classappend="${#fields.hasErrors('politicallyExposedPerson')}? 'has-error'">
                                                        <label th:text="#{label.politicallyExposedPerson}">label.politicallyExposedPerson</label>
                                                        <div class="radio-inline">
                                                            <label>
                                                                <input type="radio" name="radio-inline"
                                                                       th:field="*{politicallyExposedPerson}" value="true"
                                                                       th:checked="*{politicallyExposedPerson}"
                                                                       th:text="#{label.politicallyExposedPerson.true}"/>
                                                                <i class="fa fa-circle-o"></i>
                                                            </label>
                                                        </div>
                                                        <div class="radio-inline">
                                                            <label>
                                                                <input type="radio" name="radio-inline"
                                                                       th:field="*{politicallyExposedPerson}" value="false"
                                                                       th:checked="*{politicallyExposedPerson} == false"
                                                                       th:text="#{label.politicallyExposedPerson.false}"/>
                                                                <i class="fa fa-circle-o"></i>
                                                            </label>
                                                        </div>

                                                    </div>
                                                </div><!-- /.form-group -->
                                            </div><!-- /.col-sm-4 -->

                                        </div><!-- /.col-sm-12 -->

                                        <h4 class="page-header" th:text="#{form.table.localization}">
                                            form.table.localization</h4>

                                        <div class="col-sm-12">
                                            <div class="row">
                                                <span th:if="${#fields.hasErrors('location')}"
                                                      class="label label-danger" th:errors="*{location}">location error</span>
                                            </div>

                                            <div class="col-sm-12">

                                                <div class="col-sm-4">
                                                    <div class="form-group"
                                                         th:classappend="${#fields.hasErrors('location.address.province')}? 'has-error'">
                                                        <div class="col-sm-12">
                                                            <label for="location_address_province"
                                                                   th:text="#{label.location.address.province}">label.location.address.province</label>
                                                            <select id="location_address_province" class="form-control" th:field="*{location.address.province}"
                                                                    onchange="onChangeProvince(this)">
                                                                <option value="default"
                                                                        th:text="#{label.default}">label.default
                                                                </option>
                                                                <option th:each="province : ${provinceList}"
                                                                        th:id="${province.id}"
                                                                        th:value="${province.name}"
                                                                        th:text="${province.name}">province
                                                                </option>
                                                            </select>
                                                            <span th:if="${#fields.hasErrors('location.address.province')}" class="label label-danger"
                                                                  th:errors="*{location.address.province}">gender error</span>
                                                        </div>
                                                    </div><!-- /.form-group -->
                                                </div><!-- /.col-sm-4 -->


                                                <div class="col-sm-4">
                                                    <div class="form-group"
                                                         th:classappend="${#fields.hasErrors('location.address.canton')}? 'has-error'">
                                                        <div class="col-sm-12">
                                                            <label for="location_address_canton"
                                                                   th:text="#{label.location.address.canton}">label.location.address.canton</label>
                                                            <select id="location_address_canton" class="form-control" th:field="*{location.address.canton}" onchange="onChangeCanton(this)">
                                                            </select>
                                                            <span th:if="${#fields.hasErrors('location.address.canton')}" class="label label-danger"
                                                                  th:errors="*{location.address.canton}">canton error</span>
                                                        </div>
                                                    </div><!-- /.form-group -->
                                                </div><!-- /.col-sm-4 -->


                                                <div class="col-sm-4">
                                                    <div class="form-group"
                                                         th:classappend="${#fields.hasErrors('location.address.district')}? 'has-error'">
                                                        <div class="col-sm-12">
                                                            <label for="location_address_district"
                                                                   th:text="#{label.location.address.district}">label.location.address.district</label>
                                                            <select id="location_address_district" class="form-control" th:field="*{location.address.district}">
                                                            </select>
                                                            <span th:if="${#fields.hasErrors('location.address.district')}" class="label label-danger"
                                                                  th:errors="*{location.address.district}">district error</span>
                                                        </div>
                                                    </div><!-- /.form-group -->
                                                </div><!-- /.col-sm-4 -->

                                            </div>


                                            <div class="col-sm-12">

                                                <div class="col-sm-4">
                                                    <div class="form-group"
                                                         th:classappend="${#fields.hasErrors('location.homePhone')}? 'has-error'">
                                                        <div class="col-sm-12">
                                                            <label for="location.homePhone" th:text="#{label.location.homePhone}">label.location.homePhone</label>
                                                            <input id="location.homePhone" type="text" class="form-control" th:field="*{location.homePhone}"/>
                                                            <span th:if="${#fields.hasErrors('location.homePhone')}" class="label label-danger"
                                                                  th:errors="*{location.homePhone}">location.homePhone error</span>
                                                        </div>
                                                    </div><!-- /.form-group -->
                                                </div><!-- /.col-sm-4 -->

                                                <div class="col-sm-4">
                                                    <div class="form-group"
                                                         th:classappend="${#fields.hasErrors('location.celPhone')}? 'has-error'">
                                                        <div class="col-sm-12">
                                                            <label for="location.celPhone" th:text="#{label.location.celPhone}">label.location.celPhone</label>
                                                            <input id="location.celPhone" type="text" class="form-control"
                                                                   th:field="*{location.celPhone}"/>
                                                            <span th:if="${#fields.hasErrors('location.celPhone')}"
                                                                  class="label label-danger"
                                                                  th:errors="*{location.celPhone}">location.celPhone error</span>
                                                        </div>
                                                    </div><!-- /.form-group -->
                                                </div><!-- /.col-sm-4 -->

                                                <div class="col-sm-4">
                                                    <div class="form-group"
                                                         th:classappend="${#fields.hasErrors('location.email')}? 'has-error'">
                                                        <div class="col-sm-12">
                                                            <label for="location.email" th:text="#{label.location.email}">label.location.email</label>
                                                            <input id="location.email" type="text" class="form-control"
                                                                   th:field="*{location.email}"/>
                                                            <span th:if="${#fields.hasErrors('location.email')}"
                                                                  class="label label-danger" th:errors="*{location.email}">location.email error</span>
                                                        </div>
                                                    </div><!-- /.form-group -->
                                                </div><!-- /.col-sm-4 -->

                                            </div><!-- /.col-sm-12 -->

                                            <div class="col-sm-12">

                                                <div class="col-sm-4">
                                                    <div class="form-group"
                                                         th:classappend="${#fields.hasErrors('location.address.zipCode')}? 'has-error'">
                                                        <div class="col-sm-12">
                                                            <label for="location.address.zipCode" th:text="#{label.location.address.zipCode}">label.location.address.zipCode</label>
                                                            <input id="location.address.zipCode" type="text" class="form-control" th:field="*{location.address.zipCode}"/>
                                                            <span th:if="${#fields.hasErrors('location.address.zipCode')}" class="label label-danger"
                                                                  th:errors="*{location.address.zipCode}">location.address.zipCode error</span>
                                                        </div>
                                                    </div><!-- /.form-group -->
                                                </div><!-- /.col-sm-4 -->

                                                <div class="col-sm-8">
                                                    <div class="form-group"
                                                         th:classappend="${#fields.hasErrors('location.address.exactDirection')}? 'has-error'">
                                                        <div class="col-sm-12">
                                                            <label for="location.address.exactDirection" th:text="#{label.location.address.exactDirection}">label.location.address.exactDirection</label>
                                                            <textarea id="location.address.exactDirection" rows="2" class="form-control" th:field="*{location.address.exactDirection}"/>
                                                            <span th:if="${#fields.hasErrors('location.address.exactDirection')}" class="label label-danger"
                                                                  th:errors="*{location.address.exactDirection}">location.address.exactDirection error</span>
                                                        </div>
                                                    </div><!-- /.form-group -->
                                                </div><!-- /.col-sm-4 -->

                                                <span th:if="${#fields.hasErrors('location.address')}"
                                                      class="label label-danger" th:errors="*{location.address}">location.address error</span>
                                            </div>

                                        </div>


                                        <h4 class="page-header" th:text="#{form.table.sourceIncome}">
                                            form.table.sourceIncome</h4>

                                        <div class="col-sm-12">

                                            <div class="row">
                                                <span th:if="${#fields.hasErrors('sourceIncomeList')}"
                                                      class="label label-danger" th:errors="*{sourceIncomeList}">sourceIncomeList error</span>
                                            </div>

                                            <th:block th:each="si, stat : *{sourceIncomeList}">

                                                <div th:if="${si instanceof T(cr.kyc.model.naturalPerson.Other)}">

                                                    <h5 class="page-header" th:text="#{label.sourceIncome.other}">
                                                        [label.sourceIncome.other]</h5>

                                                    <div class="col-sm-4">
                                                        <div class="form-group">
                                                            <div class="col-sm-12">
                                                                <label for="other.monthlyIncome1"
                                                                       th:text="#{label.other.monthlyIncome}">label.other.monthlyIncome</label>
                                                                <p id="other.monthlyIncome1" class="form-control"
                                                                   th:text="${si.monthlyIncome}" disabled="true" >[si.monthlyIncome]</p>
                                                            </div>
                                                        </div><!-- /.form-group -->
                                                    </div><!-- /.col-sm-4 -->

                                                    <div class="col-sm-4">
                                                        <div class="form-group">
                                                            <div class="col-sm-12">
                                                                <label for="other.sourceIncome1"
                                                                       th:text="#{label.other.sourceIncome}">label.other.sourceIncome</label>
                                                                <p id="other.sourceIncome1" class="form-control"
                                                                   th:text="${si.sourceIncome}" disabled="true">[si.sourceIncome]</p>
                                                            </div>
                                                        </div><!-- /.form-group -->
                                                    </div><!-- /.col-sm-4 -->

                                                    <div class="row">
                                                        <div class="col-sm-3 col-sm-offset-9">
                                                            <button type="submit" class="btn btn-default"
                                                                    th:value="${stat.index}"
                                                                    name="sourceIncome"
                                                                    th:text="#{label.other.remove}">
                                                            </button>
                                                        </div>
                                                    </div>

                                                </div>

                                            </th:block>

                                            <div class="col-sm-4">
                                                <div class="form-group">
                                                    <div class="col-sm-12">
                                                        <label for="sourceIncomeType" th:text="#{label.sourceIncomeType}">label.sourceIncomeType</label>
                                                        <select id="sourceIncomeType" class="form-control" th:field="*{incomeSourceType}"
                                                                onchange="onChangeSourceIncomeType()">
                                                            <option value="default"
                                                                    th:text="#{label.default}">label.default
                                                            </option>
                                                            <option th:each="type : ${sourceIncomeList}"
                                                                    th:value="${type}"
                                                                    th:text="#{${type}}">sourceIncome
                                                            </option>
                                                        </select>
                                                    </div>
                                                </div><!-- /.form-group -->
                                            </div><!-- /.col-sm-4 -->


                                        </div>


                                        <div id="other" class="col-sm-12" style='display:none;'>

                                            <h4 class="page-header" th:text="#{label.sourceIncome.other}">
                                                label.sourceIncome.other</h4>

                                            <div class="col-sm-12">

                                                <div class="col-sm-4">
                                                    <div class="form-group"
                                                         th:classappend="${#fields.hasErrors('other.monthlyIncome')}? 'has-error'">
                                                        <div class="col-sm-12">
                                                            <label for="other.monthlyIncome"
                                                                   th:text="#{label.other.monthlyIncome}">label.other.monthlyIncome</label>
                                                            <input id="other.monthlyIncome" type="text" class="form-control"
                                                                   th:field="*{other.monthlyIncome}"/>
                                                            <span th:if="${#fields.hasErrors('other.monthlyIncome')}"
                                                                  class="label label-danger"
                                                                  th:errors="*{other.monthlyIncome}">other.monthlyIncome error</span>
                                                        </div>
                                                    </div><!-- /.form-group -->
                                                </div><!-- /.col-sm-4 -->

                                                <div class="col-sm-4">
                                                    <div class="form-group"
                                                         th:classappend="${#fields.hasErrors('other.sourceIncome')}? 'has-error'">
                                                        <div class="col-sm-12">
                                                            <label for="other.sourceIncome"
                                                                   th:text="#{label.other.sourceIncome}">label.other.sourceIncome</label>
                                                            <input id="other.sourceIncome" type="text" class="form-control"
                                                                   th:field="*{other.sourceIncome}"/>
                                                            <span th:if="${#fields.hasErrors('other.sourceIncome')}"
                                                                  class="label label-danger"
                                                                  th:errors="*{other.sourceIncome}">other.sourceIncome error</span>
                                                        </div>
                                                    </div><!-- /.form-group -->
                                                </div><!-- /.col-sm-4 -->

                                                <div class="row">
                                                    <div class="col-sm-3 col-sm-offset-9">
                                                        <button type="submit" class="btn btn-default"
                                                                name="addOther"
                                                                th:text="#{label.other.add}">
                                                        </button>
                                                    </div>
                                                </div>

                                            </div>




                                        </div>


                                        <div class="form-group">
                                            <div class="col-sm-9 col-sm-offset-3">
                                                <button type="submit" class="btn btn-primary">Submit</button>
                                            </div>
                                        </div>
                                    </form>


                                </div>

                            </div>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                    <!--End Dashboard 2 -->

                </div>
                <div class="clearfix"></div>


            </div>
            <!--End Content-->
        </div>
        <!--End Container-->

        <div th:replace="fragments/js :: js">JavaScript</div>

        <script type="text/javascript" th:inline="javascript">

            var KYC_SERVICES_URL = 'http://localhost:8090/rest/kyc/util/';

            var naturalPerson = /*[[${naturalPerson}]]*/ null;
            var selectedCanton = naturalPerson.location.address.canton;
            var selectedDistrict = naturalPerson.location.address.district;

            window.onload = function (e) {
                onChangeSourceIncomeType();

                if (selectedCanton !== null) {
                    var dropdown = document.getElementById("location_address_province");
                    onChangeProvince(dropdown);

                }
            };

            function onChangeSourceIncomeType() {

                if ($('#sourceIncomeType').val() !== '') {
                    var text = $('#sourceIncomeType').val();
                    switch (text) {
                        case 'Other':
                            $("#other").show();
                            break;
                        case 'Buyer':
                            $("#td1").hide();
                            break;
                        default:
                            $("#other").hide();
                            break;
                    }
                }

            }
            ;

            function onChangeProvince(dropdown) {

                var selectedText = dropdown.options[dropdown.selectedIndex].innerHTML;
                var selectedValue = dropdown.value;
                var selectedId = dropdown.options[dropdown.selectedIndex].id;
                //alert("Selected Text: " + selectedText + " Value: " + selectedValue + " Id " + selectedId);

                $.ajax({
                    type: 'GET',
                    url: KYC_SERVICES_URL + 'canton/' + selectedId,
                    dataType: "json",
                    success: function (response) {
                        //alert(JSON.stringify(response));

                        $("#location_address_canton").empty();
                        $("#location_address_district").empty();

                        $('#location_address_canton').append($('<option>', {
                            value: '',
                            text: 'Select'
                        }), '</option>');

                        var array = response.response;

                        for (var key in array) {
                            //alert(JSON.stringify(array[key]));

                            //alert('selectedcanton: ' + selectedCanton + ' currentCanton ' + array[key].name + ' selected ' + selected);

                            $('#location_address_canton').append($('<option>', {
                                id: array[key].id,
                                selected: array[key].name === selectedCanton ? "selected" : false,
                                value: array[key].name,
                                text: array[key].name
                            }), '</option>');
                        }

                        if (selectedDistrict !== null) {
                            var dropdown = document.getElementById("location_address_canton");
                            onChangeCanton(dropdown);
                        }

                    }
                });


            }


            function onChangeCanton(dropdown) {

                var selectedProvince = document.getElementById("location_address_province").options[dropdown.selectedIndex].id;
                var selectedText = dropdown.options[dropdown.selectedIndex].innerHTML;
                var selectedValue = dropdown.value;
                var selectedId = dropdown.options[dropdown.selectedIndex].id;
                //alert("Selected Text: " + selectedText + " Value: " + selectedValue + " Id " + selectedId);

                $.ajax({
                    type: 'GET',
                    url: KYC_SERVICES_URL + 'district/' + selectedProvince + '/' + selectedId,
                    dataType: "json",
                    success: function (response) {
                        //alert(JSON.stringify(response));

                        $("#location_address_district").empty();

                        $('#location_address_district').append($('<option>', {
                            value: '',
                            text: 'Select'
                        }), '</option>');

                        var array = response.response;

                        for (var key in array) {
                            //alert(JSON.stringify(array[key]));

                            //alert('selectedcanton: ' + selectedCanton + ' currentCanton ' + array[key].name + ' selected ' + selected);

                            $('#location_address_district').append($('<option>', {
                                id: array[key].id,
                                selected: array[key].name === selectedDistrict ? "selected" : false,
                                value: array[key].name,
                                text: array[key].name
                            }), '</option>');
                        }

                    }
                });

            }

        </script>
    </body>
</html>